Page MenuHomePhabricator

Enable $wgAbuseFilterProfile on Commons for a few days
Closed, ResolvedPublic

Description

After T132189 is fixed, I'd like to enable $wgAbuseFilterProfile on commonswiki for a couple of days, then review and improve the filters used there to avoid the need for T132048. @aaron, do you think this will be okay for performance?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterDisable $wgAbuseFilterProfile for commonswiki
operations/mediawiki-config : masterEnable $wgAbuseFilterProfile for commonswiki

Event Timeline

matmarex created this task.Apr 8 2016, 6:11 PM
Restricted Application added subscribers: JEumerus, Steinsplitter, Matanya, Aklapper. · View Herald TranscriptApr 8 2016, 6:12 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 8 2016, 6:12 PM
matmarex added a subscriber: ori.Apr 11 2016, 12:40 PM

Change 282806 had a related patch set uploaded (by Bartosz Dziewoński):
Enable $wgAbuseFilterProfile for commonswiki

https://gerrit.wikimedia.org/r/282806

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 13 2016, 5:32 AM

Change 283243 had a related patch set uploaded (by Bartosz Dziewoński):
Disable $wgAbuseFilterProfile for commonswiki

https://gerrit.wikimedia.org/r/283243

I scheduled the "Enable" patch for deployment today evening (after the 1.27.0-wmf.21 train deployment which will bring this feature to Commons). I hope we'll be able to deploy the "Disable" patch in a week or so.

Change 282806 merged by jenkins-bot:
Enable $wgAbuseFilterProfile for commonswiki

https://gerrit.wikimedia.org/r/282806

Mentioned in SAL [2016-04-14T00:23:36Z] <dereckson@tin> Synchronized wmf-config/abusefilter.php: Enable $wgAbuseFilterProfile for commonswiki ([[Gerrit:282806]], Task T132200) (duration: 00m 28s)

matmarex closed this task as Resolved.Apr 14 2016, 12:34 AM

Okay, the data is being recorded now. It might be underreporting the numbers for a while (filters for around 500 actions were executed between the deployment of https://gerrit.wikimedia.org/r/#/c/283247/ and https://gerrit.wikimedia.org/r/#/c/282806/, they'll be counted as if they took 0 ms and 0 conditions), but this should be a drop in the bucket in a few hours. (We should probably have a maintenance script to clear these stats.)

Change 283243 abandoned by Bartosz Dziewoński:
Disable $wgAbuseFilterProfile for commonswiki

Reason:
Enabling this doesn't seem to have caused a noticeable performance hit, so I think we can leave it on.

https://gerrit.wikimedia.org/r/283243

Change 283243 restored by Chad:
Disable $wgAbuseFilterProfile for commonswiki

Reason:
This has resulted in a fairly massive spike in duplicate key fetched errors in logstash. Going to disable again.

https://gerrit.wikimedia.org/r/283243

Change 283243 merged by jenkins-bot:
Disable $wgAbuseFilterProfile for commonswiki

https://gerrit.wikimedia.org/r/283243